<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 PQ - Physical Quantity
    Status: in behandeling
-->
<rule abstract="true" id="PQ" see="http://hl7book.net/index.php?title=DatatypesR1:PQ" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="QTY"/>
    
    <assert role="error" test="(@nullFlavor or @value) and not(@nullFlavor and @value)"
        >Datatype PQ: null or value</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(hl7:translation))"
        >Datatype PQ: no translation if null</assert>
</rule>