<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 ST - String
    Status: in behandeling
-->
<rule abstract="true" id="ST" see="http://hl7book.net/index.php?title=DatatypesR1:ST" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="ED"/>
    
    <assert role="error" test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]"
        >Datatype ST: no nested translations</assert>
    <assert role="error" test="not(@nullFlavor and string-length(.) &gt; 0)"
        >Datatype ST: null or content</assert>
</rule>