<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.163
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.163">
   <title>PatientPerson [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson"
         id="tmp-841ec134-5f54-4762-94bf-1e0fed1881ff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@classCode='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']|hl7:name|hl7:administrativeGenderCode|hl7:birthTime|hl7:multipleBirthInd|hl7:multipleBirthOrderNumber|hl7:contactParty))=0">(PatientPerson-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">(PatientPerson-universal): element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(PatientPerson-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:birthTime)&lt;=1">(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)">(PatientPerson-universal): element hl7:contactParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:contactParty)&lt;=1">(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']"
         id="tmp-c8b60680-3b0a-4d33-84c5-0b7a5fc78a20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.163'">(PatientPerson-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.163' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientPerson-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name"
         id="tmp-a4550e3c-73f4-4125-b737-7effbe1234ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="not(@use) or @use='OR' or @use='L'">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: @use moet indien aanwezig 'OR' of 'L' zijn</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(* except (hl7:given|hl7:prefix|hl7:family))=0">(PatientPerson-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(PatientPerson-universal): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:given)&lt;=1">(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:prefix)&lt;=1">(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:family)&lt;=1">(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:given
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:prefix
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:prefix"
         id="tmp-8a48aecb-a2d6-4bbb-a6c3-ecc99a3d1b98">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(PatientPerson-universal): 
                            <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:family
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:name/hl7:family"
         id="tmp-40f58324-e957-4e40-85c9-e4c7335863a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@qualifier='BR'">(PatientPerson-universal): 
                            <name/> moet de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:administrativeGenderCode
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-f180b0a6-752b-44c4-becf-cbb485288b58">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(PatientPerson-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(PatientPerson-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:birthTime
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:birthTime"
         id="tmp-a0d78a32-11c3-4275-8de7-c21aa43cd46e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthInd
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthInd"
         id="tmp-e0e6408a-73b8-410d-8c13-5f93d4aac712">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthOrderNumber
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:multipleBirthOrderNumber"
         id="tmp-2c6c4324-e95f-43d9-81b1-9c11fed7822d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="$digitok">(PatientPerson-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="preceding-sibling::hl7:multipleBirthInd/@value='true'">(PatientPerson-universal): 
                        <name/> kan alleen een waarde hebben bij meerlingen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty"
         id="tmp-649b5f4f-eda7-4334-bf65-bd36f963e503">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(* except (hl7:telecom|hl7:effectiveTime|hl7:contactPerson))=0">(PatientPerson-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(PatientPerson-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:contactPerson)&lt;=1">(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:telecom
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:telecom"
         id="tmp-374fd15a-e92d-4481-a237-6be995398632">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime"
         id="tmp-dfa16c12-2277-4f14-af02-0aca8b4d80f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="hl7:low or hl7:high">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(* except (hl7:low|hl7:high|hl7:width|hl7:center))=0">(PatientPerson-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:low)&lt;=1">(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:high)&lt;=1">(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:width)=0">(PatientPerson-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:center)=0">(PatientPerson-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (PatientPerson-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:contactPerson
Item: (PatientPerson-universal)
-->

<rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:contactPerson"
         id="tmp-6c3385a4-1015-4c6b-b453-068dd0ef0054">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@classCode='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(* except (hl7:name))=0">(PatientPerson-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.163.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (PatientPerson-universal)
-->
</pattern>
