<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.103
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.103">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]
Item: (Zorgvraag)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern
Item: (Zorgvraag)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern"
         id="tmp-0346c642-bd37-44f2-99bf-ba5e2cf97620">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@classCode='CONC'">(Zorgvraag): de waarde van @classCode MOET 'CONC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@moodCode='EVN'">(Zorgvraag): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103']/@nullFlavor)">(Zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103'])&lt;=1">(Zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Zorgvraag): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:id)&lt;=1">(Zorgvraag): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:subject2)&gt;=1 and not(hl7:subject2/@nullFlavor)">(Zorgvraag): element hl7:subject2 is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103']
Item: (Zorgvraag)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.103']"
         id="tmp-19cd6464-86e1-444b-8172-b42c7cf4f778">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.103'">(Zorgvraag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.103' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Zorgvraag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:id
Item: (Zorgvraag)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:id"
         id="tmp-16715917-4f22-4e18-914f-f59236e7b564">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2
Item: (Subject2.6.23.1.1)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2"
         id="tmp-7d9f61bd-f305-43c0-996d-3a9f7eb035f9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@contextConductionInd='true'">(Subject2.6.23.1.1): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@typeCode='SUBJ'">(Subject2.6.23.1.1): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2
Item: (Vraagstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation
Item: (Vraagstelling)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation"
         id="tmp-6d8bd353-01ab-4c01-a1ef-fb4dfd747a4f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@classCode='OBS'">(Vraagstelling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@moodCode='EVN'">(Vraagstelling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']/@nullFlavor)">(Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'])&lt;=1">(Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Vraagstelling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:code)&lt;=1">(Vraagstelling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:value)&gt;=1 ">(Vraagstelling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:value)&lt;=1">(Vraagstelling): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:author)&lt;=1">(Vraagstelling): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']
Item: (Vraagstelling)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']"
         id="tmp-351bcc3e-e619-4cd1-84d0-a6bd61670d92">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.105'">(Vraagstelling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.105' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Vraagstelling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:code
Item: (Vraagstelling)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:code"
         id="tmp-00b5cd6d-0ac2-4b01-8a3f-b5f2ec013eb8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Vraagstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or (@code='ADMDX' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Admitting diagnosis')">(Vraagstelling): de waarde van @code/@codeSystem MOET ''ADMDX' codeSystem '2.16.840.1.113883.5.4' displayName='Admitting diagnosis'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:value
Item: (Vraagstelling)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:value"
         id="tmp-ac3998c2-f89d-4996-834a-04e88cd13e6d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(Vraagstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Vraagstelling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Vraagstelling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Vraagstelling): de waarde van @code MOET worden gekozen uit waardenlijst Vraagstelling DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Vraagstelling): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Vraagstelling DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author
Item: (Author.6.24.1.1)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author"
         id="tmp-0f35e727-975e-4584-8788-77fdc7adf8b7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@contextControlCode='OP'">(Author.6.24.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@typeCode='AUT'">(Author.6.24.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author
Item: (Zorgaanvrager)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity"
         id="tmp-eea43a45-90d2-4b9d-9e82-59cecd7ce4f3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@classCode='ASSIGNED'">(Zorgaanvrager): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']/@nullFlavor)">(Zorgaanvrager): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&lt;=1">(Zorgaanvrager): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:code)&gt;=1 ">(Zorgaanvrager): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="count(hl7:code)&lt;=1">(Zorgaanvrager): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']"
         id="tmp-1e593733-e577-4ba6-bfa9-6c86edb41dc1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.104'">(Zorgaanvrager): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.104' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Zorgaanvrager): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.103
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity/hl7:code
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.103']]/hl7:concern/hl7:subject2/hl7:observation/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-4624eeb4-52a3-47fa-a004-2b081263ca51">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Zorgaanvrager): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanvragerVerkort-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-Melder-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanvragerVerkort-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-Melder-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Zorgaanvrager): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanvragerVerkort ZorgaanvragerVerkort (melder/verwijzer/klant) of Melder DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.103.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Zorgaanvrager): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanvragerVerkort ZorgaanvragerVerkort (melder/verwijzer/klant) of Melder DYNAMIC.</assert>
   </rule>
</pattern>