<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.30
Description: Nictiz Control Room-PS
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.30">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]
Item: (Meldkamer-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (Meldkamer-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent"
         id="tmp-c33c3acb-ef4d-4eb4-a4a3-7bf6c89bcb49">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@classCode='PCPR'">(Meldkamer-PS): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@moodCode='EVN'">(Meldkamer-PS): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30']/@nullFlavor)">(Meldkamer-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30'])&lt;=1">(Meldkamer-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Meldkamer-PS): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:statusCode)&lt;=1">(Meldkamer-PS): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Meldkamer-PS): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:effectiveTime)&lt;=1">(Meldkamer-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(Meldkamer-PS): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:recordTarget)&lt;=1">(Meldkamer-PS): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:author)&gt;=1 ">(Meldkamer-PS): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:author)&lt;=1">(Meldkamer-PS): element hl7:author komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]|hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="$elmcount&gt;=1">(Meldkamer-PS): keuze (hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]] of hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30']
Item: (Meldkamer-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.30']"
         id="tmp-e2967a58-c5d6-4456-96b0-e9ff000cd36d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.30'">(Meldkamer-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.30' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Meldkamer-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-7ca2a112-f300-43f1-bff4-20014b1639f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(CPpart4PS): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-41a0445e-874c-4bda-a019-1eb05ffc9901">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:low)&lt;=1">(CPpart4PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:high)=0">(CPpart4PS): element hl7:high MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:width)=0">(CPpart4PS): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="count(hl7:center)=0">(CPpart4PS): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-60273322-03ef-4d86-a8e8-a1b7a1bfbe6d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:width
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:center
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent
Item: (Choice.6.3.1.6)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-7e9f6f52-fc5a-4ca5-8d8e-aaa2eab02ab5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-c05f4984-0acf-4579-9bd9-847914f1ea4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-4649bdb1-fc79-46e2-a891-30c141f928d2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.30
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.30']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-ccfedcc8-cf73-4576-a0a4-f38d22cea6c5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.30.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>
</pattern>