<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 ANY - ANY 
    Status: in behandeling
-->
<!-- Correction: see http://wiki.hl7.org/index.php?title=Deprecating_Lot_Number_Text for a use case for @nullFlavor + @extension -->
<rule abstract="true" id="ANY" see="http://hl7book.net/index.php?title=DatatypesR1:ANY" xmlns="http://purl.oclc.org/dsdl/schematron">
    <assert role="error" test="not(descendant-or-self::hl7:*[@nullFlavor]) or 
        descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or 
        (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or 
        (@nullFlavor='UNC' and (@extension))]"
        >Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value</assert>
</rule>
