<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.115
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.115">
   <title>Functioneel onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]
Item: (FunctioneelOnderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act
Item: (FunctioneelOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act"
         id="tmp-a49f6fc6-9f5c-41dc-9578-d3850c70108e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@classCode='ACT'">(FunctioneelOnderzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@moodCode='EVN'">(FunctioneelOnderzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']/@nullFlavor)">(FunctioneelOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&lt;=1">(FunctioneelOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(FunctioneelOnderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:code)&lt;=1">(FunctioneelOnderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(FunctioneelOnderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:text)&lt;=1">(FunctioneelOnderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:performer)&lt;=1">(FunctioneelOnderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']
Item: (FunctioneelOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']"
         id="tmp-68dd6148-71c5-448a-afe3-9a1c0b40874d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.115'">(FunctioneelOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.115' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(FunctioneelOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:code
Item: (FunctioneelOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:code"
         id="tmp-45fd561e-b823-4231-9c28-b431f720af87">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(FunctioneelOnderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@nullFlavor or (@code='42345-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge functional status')">(FunctioneelOnderzoek): de waarde van @code/@codeSystem MOET ''42345-9' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge functional status'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:text
Item: (FunctioneelOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:text"
         id="tmp-45292677-b3de-44ac-8031-d2fb7414a17b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(FunctioneelOnderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:performer
Item: (Performer.6.37.2)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:performer"
         id="tmp-5bc57e34-b8d5-4e1f-bb20-36f0a7ccf1b9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@contextControlCode='OP'">(Performer.6.37.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@typeCode='PRF'">(Performer.6.37.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.37.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.115
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.37.2)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.115']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-432be6dc-f715-4220-aa18-7c16b70c431a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.115.html"
              test="@classCode='ASSIGNED'">(Performer.6.37.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>