<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.21
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.21">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-641d8169-089b-41aa-9c29-e6f251ba51f5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(AssignedPersonNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(AssignedPersonNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 ">(AssignedPersonNL): element hl7:id[@root='2.16.528.1.1007.3.1'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:code)&lt;=1">(AssignedPersonNL): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:effectiveTime)&lt;=1">(AssignedPersonNL): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:certificateText)&lt;=1">(AssignedPersonNL): element hl7:certificateText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:assignedPerson)&lt;=1">(AssignedPersonNL): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:representedOrganization)&lt;=1">(AssignedPersonNL): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c88aa698-b128-46a3-9413-9505daebc6b9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(AssignedPersonNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssignedPersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-b3c6ee39-1ba3-4f56-b89c-ed4d5db430f7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@root='2.16.528.1.1007.3.1'">(AssignedPersonNL): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssignedPersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:code
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:code"
         id="tmp-05e4b7e5-52e5-4748-9840-c87bef9e5b5e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:addr
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:addr"
         id="tmp-ab9e4ee6-c1bc-4ba6-9ad1-3c7e7203ac53">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:telecom
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:telecom"
         id="tmp-5d5903a5-1f6b-4f99-888b-af7af3dd213f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:effectiveTime
Item: (AssignedPersonNL)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:certificateText
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:certificateText"
         id="tmp-0c1046ce-ccf9-4de7-9265-e78a8d43e3bd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:assignedPerson
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:assignedPerson"
         id="tmp-81fd3a59-3eb8-4b84-b076-6723bead9b45">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@classCode='PSN' or not(@classCode)">(AssignedPersonNL): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(AssignedPersonNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:assignedPerson/hl7:name
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:assignedPerson/hl7:name"
         id="tmp-9e812bd0-45d5-4670-9524-0af6aafa584f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization"
         id="tmp-f6cac5ab-f0c5-4e65-9676-b827604f7df2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@determinerCode='INSTANCE'">(AssignedPersonNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@classCode='ORG'">(AssignedPersonNL): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(AssignedPersonNL): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="count(hl7:code)&lt;=1">(AssignedPersonNL): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-b0baadc9-a854-4191-8859-86b749b92701">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@root='2.16.528.1.1007.3.3'">(AssignedPersonNL): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssignedPersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:code
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:code"
         id="tmp-96fceda8-365a-4cd9-8cbe-9097084c7c20">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:name
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:name"
         id="tmp-65e58f75-ab9a-4971-857e-c7ee66e05a90">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.21
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:addr
Item: (AssignedPersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/hl7:representedOrganization/hl7:addr"
         id="tmp-0b39c600-a2fc-430b-ba0a-5fb0d4c7a414">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.21.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AssignedPersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>