<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.3">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]
Item: (Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter"
         id="tmp-b1ae1f72-a8a2-4206-af7d-cc72eeb83ec1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ENC'">(Contact): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@moodCode='EVN'">(Contact): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']/@nullFlavor)">(Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&lt;=1">(Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Contact): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&lt;=1">(Contact): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&gt;=1 ">(Contact): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&lt;=1">(Contact): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(Contact): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:author)&lt;=1">(Contact): element hl7:author komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]]|hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]|hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]|hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$elmcount&gt;=1">(Contact): keuze (hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]] of hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] of hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]] of hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']"
         id="tmp-73ab127d-46e4-498e-92ac-2c432e37e6c5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.3'">(Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id"
         id="tmp-41112f9f-b874-42cf-868e-774aec6322c1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code"
         id="tmp-dc3db485-837e-40e5-8a9b-51df24c53bba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Contactwijze-v7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Contactwijze-v7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Contact): de waarde van @code MOET worden gekozen uit waardenlijst Contactwijze-v7 NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Contact): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Contactwijze-v7 NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:translation)&lt;=1">(Contact): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation"
         id="tmp-facd5169-3b5f-4fee-9eae-491be7a30884">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Contact): de waarde van @code MOET worden gekozen uit waardenlijst Verrichtingen NHG HIS Tabel 15 Verrichtingen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Contact): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Verrichtingen NHG HIS Tabel 15 Verrichtingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime"
         id="tmp-0c9d068b-a7f2-4c9d-bccd-0c30d3afebaa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Contact): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&lt;=1">(Contact): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:high)&lt;=1">(Contact): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:center)=0">(Contact): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:width)=0">(Contact): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low"
         id="tmp-33552044-1ca9-42af-a825-c353ca075804">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high
Item: (Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high"
         id="tmp-64bcc8a0-d790-4b9c-b026-898cf62b3c97">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Contact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:center
Item: (Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:width
Item: (Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author
Item: (Author.6.8.1.1)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author"
         id="tmp-810026fe-457a-4284-95c3-b17646b502ce">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='AUT'">(Author.6.8.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP'">(Author.6.8.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.8.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.8.1.1)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-40aebe8a-83e9-4562-a978-df2aea51bbbf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED'">(Author.6.8.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer
Item: (Performer.6.8.1.2)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer"
         id="tmp-cb628e8e-bab4-4bd7-8d45-7e8bfb9d5dd9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='PRF'">(Performer.6.8.1.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP'">(Performer.6.8.1.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.8.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.8.1.2)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f4f772ef-6b77-4b50-8a15-a4772f5f6ad2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED'">(Performer.6.8.1.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter
Item: (Choice.6.8.1.4)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]]
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]]"
         id="tmp-bc4e4ed8-5c9f-4edb-b075-05da1238c744">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP'">(Choice.6.8.1.4): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true'">(Choice.6.8.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(Choice.6.8.1.4): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]]/hl7:sequenceNumber
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']]]/hl7:sequenceNumber"
         id="tmp-ebaa54d3-0a23-4aea-bcdc-7f8706235de8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Choice.6.8.1.4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(Choice.6.8.1.4): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]"
         id="tmp-e3c42fe3-e48a-4503-9665-dd21f8d241a8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP'">(Choice.6.8.1.4): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true'">(Choice.6.8.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(Choice.6.8.1.4): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]/hl7:sequenceNumber
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]/hl7:sequenceNumber"
         id="tmp-529321d9-58ab-4a9d-b0a4-9b60d70d4e76">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Choice.6.8.1.4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(Choice.6.8.1.4): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]"
         id="tmp-da65a2f5-ce76-43be-852e-f14ad9e813bb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP'">(Choice.6.8.1.4): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true'">(Choice.6.8.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(Choice.6.8.1.4): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]/hl7:sequenceNumber
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]/hl7:sequenceNumber"
         id="tmp-fceecc56-4874-44f6-9e21-a0d6423b1c7c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Choice.6.8.1.4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(Choice.6.8.1.4): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-ca436ef6-f902-473b-b414-52ccdc8d2e48">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP'">(Choice.6.8.1.4): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true'">(Choice.6.8.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(Choice.6.8.1.4): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]/hl7:sequenceNumber
Item: (Choice.6.8.1.4)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]/hl7:sequenceNumber"
         id="tmp-04273f72-b446-4a7c-bce1-c335ef0af5b2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Choice.6.8.1.4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(Choice.6.8.1.4): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>